features:
  secondary:
    - name: "Automatically close GitLab issues with recovery alerts from Prometheus"
      available_in: [ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/project/integrations/prometheus.html#taking-action-on-incidents-ultimate'
      reporter: sarahwaldner
      stage: monitor
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/13401'
      description: |
        Incidents resolve for one of two reasons:
        1. Someone resolved the problem.
        1. The system resolved itself.
 
        Following resolution, the incident issue needs to be closed for tracking purposes so that there is no confusion around which incidents are active and which ones still require remediation. When an alert is resolved because someone fixed the problem, Prometheus will emit a recovery alert giving GitLab the ability to automatically close the issue related to the incident. This eliminates unnecessary manual work for incident responders and ensures that every open incident issue is an active problem and requires attention.
